Bug 1895169 - VM Template does not properly manage Mount Windows guest tools check box during VM creation
Summary: VM Template does not properly manage Mount Windows guest tools check box duri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-05 22:42 UTC by Chandler Wilkerson
Modified: 2021-02-24 15:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:31:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7745 0 None open Bug 1895169: VM Template does not properly manage Mount Windows guest tools check box 2021-01-07 12:41:00 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:31:54 UTC

Description Chandler Wilkerson 2020-11-05 22:42:42 UTC
Description of problem:
Creation of VM from template with "Mount Windows guest tools" checkbox unchecked yields VM with "Mount Windows guest tools" checkbox checked.

Version-Release number of selected component (if applicable):
CNV 2.5.0
OCP 4.6
iib release tag 21980

How reproducible:
Always

Steps to Reproduce:
1. Create Template for Windows VMs
2. Deselect "Mount Windows guest tools" checkbox on first page
3. Create new VM from above template.

Actual results:
Mount Windows guest tools is checked in the new VM

Expected results:
Mount Windows guest tools should not be checked.

Additional info:

Comment 1 Yaacov Zamir 2020-11-23 05:46:26 UTC
Rastislav hi,

The create VM from template was redesigned fixing lots of issues, I think this one was addressed too,
When creating a VM from template in the new flow, user will get the template "as is" without changes (e.g. no guest agent disk, cloudinit changes, ...), Rastislav am I correct ?

Comment 2 Rastislav Wagner 2020-11-23 07:31:42 UTC
@yzamir@redhat.com no, we still mount the guest agent (user have to go to advanced wizard if he doesnt want it mounted).

Bug is still probably there, I didnt change much in advanced wizard.

Comment 3 Yaacov Zamir 2020-11-27 06:37:33 UTC
> Bug is still probably there,
ack

Comment 4 Chandler Wilkerson 2020-11-30 14:30:40 UTC
I just confirmed bug is still there in OpenShift Virtualization 2.5.1

Comment 6 Yaacov Zamir 2020-12-30 07:47:31 UTC
Note:
When fixing this bug look at this other bugs related to storage not using data available in the template to create storage in VM:

https://bugzilla.redhat.com/show_bug.cgi?id=1911382 - source volumeMode (Block) and target volumeMode (Filesystem) do not match" shows in VM Error
https://bugzilla.redhat.com/show_bug.cgi?id=1895169 - VM Template does not properly manage Mount Windows guest tools check box during VM creation (assigned Philip)
https://bugzilla.redhat.com/show_bug.cgi?id=1911418 -  The target storage class name is not displayed if default storage class is used (assigned Gilad)

Comment 10 errata-xmlrpc 2021-02-24 15:31:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.